% Determine nyquist contour
s=svec1(1,1000,100);

% load in abcd matrices
load '../Source Impedance/srcez';

% Determine generalized source impedance
% zs = polychar(A,B,C,D,0,s,8,1);
zs = polychar(A,B,C,D,0,s,8,0);

% Determine the admittance constraint
ylc =esaccon(3,20,20,10,5,zs,s);

% generalized load admittance w/o NSC
load '../Load Impedance/ldynom';
ylnom = polychar(A,B,C,D,0,s,8,8);

% generalized load admittance w NSC
load '../Load Impedance/ldynsc';
ylnsc = polychar(A,B,C,D,0,s,8,8);

% Plot the constraint and generalized load admittance (w/o NSC) 
spaceplt(1,4,s,ylnom,0.0);
hold on;
spaceplt(1,4,s,ylc,360.0);
hold off;

% Plot the constraint and generalized load admittance (w NSC)
spaceplt(2,4,s,ylnsc,0.0);
hold on;
spaceplt(2,4,s,ylc,360.0);
hold off;

% Plot a check of the results
sc=esacsc(0.1,1,6,10,20);
checkplt(3,sc,zs,ylnom);

% Plot a check of the results
sc=esacsc(0.1,1,6,10,20);
checkplt(4,sc,zs,ylnsc);