% Determine nyquist contour
s=svec1(1,1000,100);

% load in abcd matrices
load '../Source Impedance/srcez';

% Determine generalized source impedance
zs = polychar(A,B,C,D,0,s,8,4);

% generalized load admittance w/o NSC
load '../Load Impedance/ldynom';
ylnom = polychar(A,B,C,D,0,s,8,0);

% generalized load admittance w NSC
load '../Load Impedance/ldynsc';
ylnsc = polychar(A,B,C,D,0,s,8,0);

% Determine the admittance constraint
% zscnom = ylcon(sc,ylnom,s);
zscnom=esaccon(3,20,20,10,5,ylnom,s);

% Plot the generalized load admittance
spaceplt(1,4,s,ylnom,0.0);
spaceplt(2,4,2,ylnsc,0.0);

% Plot the generalized source impedance
spaceplt(3,4,s,zs,0.0);
hold on;
spaceplt(3,4,s,zscnom,0.0);
hold off;

% zscnsc = ylcon(sc,ylnsc,s);
zscnsc=esaccon(0.1,1,20,10,20,ylnsc,s);
spaceplt(4,4,s,zs,0.0);
hold on;
spaceplt(4,4,s,zscnsc,0.0);
hold off;

% Plot a check of the results
sc=esacsc(0.1,1,6,10,20);
checkplt(5,sc,zs,ylnom);

% Plot a check of the results
sc=esacsc(0.1,1,6,10,20);
checkplt(6,sc,zs,ylnsc);