% This file is to generate data for example 2

% set up frequency vector
s=svec1(0.01,10000,140.0);

% load data from file
load example2data.txt;

% set parameters for data
invflag=0;                 % don't invert data
format=2;                  % magnitude and phase; not real and imaginary
NS=8;                      % number of sides used to bound data
NI=4;                      % number of intermediate points to bound data

% turn data file into generalized impedance
[zld] = immdchar(example2data,invflag,format,NS,NI);

% plot the data
spaceplt(1,4,s,zld,0.0);
title('Generalized Impedance Looking into Example Load');